.news-carousel {
    overflow: hidden;
    position: relative;
    width: 100%;
}
.news-carousel::after {
    display: none;
    background-color: var(--color-app__bg);
    content: '';
    height: 100%;
    width: 50vw;
    right: 50%;
    top: 0;
    position: absolute;
    z-index: 2;
}
.news-carousel a, .news-carousel .news-carousel__list a {
    color: inherit;
}
.news-carousel .block-header {
    position: relative;
    text-align: center;
    z-index: 4;
}
.news-carousel__list {
    display: grid;
    align-items: center;
    justify-content: center;
    grid-template-columns: 100%;
    grid-template-rows: 1fr;
    position: relative;
}
.news-carousel__list > div {
    grid-column-start: 1;
    grid-column-end: 2;
    grid-row-start: 1;
    grid-row-end: 2;
    position: relative;
    max-width: 100%;
}
.news-carousel__controls {
    display: none;
}
.news-carousel__drop {
    margin: 0 auto;
    overflow: hidden;
    width: 100%;
}
.news-carousel .news-carousel__strip {
    display: none;
    width: 40rem;
    height: 51rem;
    overflow: initial;
    z-index: 1;
}
.news-carousel__images {
    display: none;
    width: 51rem;
    height: 51rem;
    z-index: 2;
}
.news-carousel__images .swiper-slide:not(.swiper-slide-active) {
    opacity: 0 !important;
}
.news-carousel__images .swiper-slide-active {
    opacity: 1 !important;
}
.news-carousel__inner {
    z-index: 3;
}
.news-carousel__item-label {
    color: #3e3e3e;
    display: block;
    font-size: 1.2rem;
    line-height: 1.3;
    margin: 0 0 10px;
}
.news-carousel__item-name {
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical;
    font-weight: 700;
    font-size: 18px;
    line-height: normal;
    max-height: 22.5rem;
    overflow: hidden;
    margin: 0;
    word-break: break-word;
}
.news-carousel__item-image {
    background: #292929 no-repeat 50%;
    background-size: cover;
    height: 100%;
    position: relative;
    width: 100%;
}
.news-carousel__item-image::after {
    background: rgba(0, 0, 0, 0.4);
    content: "";
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
    z-index: 1;
}
.news-carousel__wrap {
    display: block;
    margin: 0 auto;
    width: 80%;
}
.news-carousel__pagination {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    margin-top: 25px;
    position: relative;
    z-index: 4;
}
.news-carousel__pagination.swiper-pagination-bullets {
    bottom: 0;
}
.news-carousel__pagination .swiper-pagination-bullet {
    border-radius: 50%;
    background: #292929;
    display: block;
    width: 8px;
    height: 8px;
    opacity: 0.2;
    margin: 5px;
    transition: opacity 0.3s, transform 0.3s;
}
.news-carousel__pagination .swiper-pagination-bullet-active {
    transform: scale(1.2);
    opacity: 1;
}
@media (min-width: 576px) {
    .news-carousel__controls {
        align-self: flex-end;
        color: #fff;
        display: flex;
        align-items: center;
        justify-content: center;
        bottom: 40px;
        z-index: 5;
    }
    .news-carousel .news-carousel__controls svg {
        display: block;
        width: inherit;
        height: inherit;
        fill: #fff;
    }
    .news-carousel__arrow {
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;
        height: 4rem;
        margin: 0 25px;
        transition: opacity 0.2s;
        width: 2.5rem;
    }
    .news-carousel__arrow--prev {
        transform: scaleX(-1);
    }
}
@media (min-width: 768px) {
    .press {
        margin-bottom: 15rem;
    }
    .news-carousel__pagination {
        display: none;
    }
    .news-carousel__images {
        display: block;
    }
    .news-carousel__drop {
        border-radius: 50%;
        display: grid;
        align-items: center;
        justify-content: center;
        grid-template-columns: 100%;
        grid-template-rows: 1fr;
        margin: 0 auto;
        overflow: hidden;
        width: 51rem;
        height: 51rem;
        z-index: 3;
    }
    .news-carousel__drop > div {
        grid-column-start: 1;
        grid-column-end: 2;
        grid-row-start: 1;
        grid-row-end: 2;
        position: relative;
        max-width: 100%;
    }
    .news-carousel .news-carousel__strip {
        display: block;
    }
    .news-carousel__inner {
        color: #fff;
        width: 40rem;
        height: 51rem;
        overflow: initial;
        z-index: 3;
    }
    .news-carousel__wrap {
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;
        flex-flow: column;
        flex-shrink: 0;
        padding-left: 2rem;
        padding-right: 10px;
        padding-top: 13rem;
        text-align: left;
        width: 40rem;
    }
    .news-carousel__item-name {
        font-size: 3.6rem;
        line-height: 4.5rem;
    }
    .news-carousel__item-label {
        color: inherit;
    }
    .news-carousel::after {
        display: block;
    }
}
